Package twisted :: Package protocols :: Module policies :: Class LimitConnectionsByPeer |
[frames | no frames]

## Class LimitConnectionsByPeer

      Factory --+
                |
    ClientFactory --+
                    |
      WrappingFactory --+
                        |
                       LimitConnectionsByPeer

Stability: Unstable

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``unregisterProtocol`(self, p)` Called by protocols when they go away.
Inherited from WrappingFactory
| ``__init__`(self, wrappedFactory)`
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``registerProtocol`(self, p)` Called by protocol to register itself.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`int` | `maxConnectionsPerPeer` = 5
`class` | `protocol` = `twisted.protocols.policies.LimitConnectionsByPeerProtocol`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.protocols.policies.WrappingFactory.buildProtocol` (inherited documentation)

### startFactory(self) This will be called before I begin listening on a Port or Connector. It will only be called once, even if the factory is connected to multiple ports. This can be used to perform 'unserialization' tasks that are best put off until things are actually running, such as connecting to a database, opening files, etcetera. Overrides: `twisted.internet.protocol.Factory.startFactory` (inherited documentation)

### unregisterProtocol(self, p) Called by protocols when they go away. Overrides: `twisted.protocols.policies.WrappingFactory.unregisterProtocol` (inherited documentation)

Class Variable Details

    ### maxConnectionsPerPeer Type: `int` Value:
        5

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net